﻿using Plane.Copters;
using Plane.FormationCreator.Formation;
using Microsoft.Practices.ServiceLocation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Plane.FormationCreator.Views
{
    /// <summary>
    /// Interaction logic for CopterInfoView.xaml
    /// </summary>
    public partial class CopterInfoView : UserControl
    {
        public CopterInfoView()
        {
            InitializeComponent();
        }

        private CopterManager _copterManager = ServiceLocator.Current.GetInstance<CopterManager>();

        private async void sldChannel3_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            try
            {
                var sldChannel3 = sender as Slider;
                var copter = sldChannel3.DataContext as ICopter;
                var selectedCopter = _copterManager.SelectedCopters.FirstOrDefault();
                if (copter == null || copter != selectedCopter) return; // copter != selectedCopter 说明正在切换 copter。
                var newCh3 = (ushort)e.NewValue;
                if (Math.Abs(copter.Channel3 - newCh3) > 5)
                {
                    await copter.SetChannelsAsync(ch3: newCh3);
                }
            }
            catch { }
        }
    }
}
