﻿using Plane.FormationCreator.Formation;
using Plane.FormationCreator.ViewModels;
using Microsoft.Practices.ServiceLocation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Plane.FormationCreator.Views
{
    /// <summary>
    /// Interaction logic for TaskBarView.xaml
    /// </summary>
    public partial class TaskBarView : UserControl
    {
        public TaskBarView()
        {
            InitializeComponent();

            this.DataContext = ServiceLocator.Current.GetInstance<TaskBarViewModel>();
        }

        private FlightTaskManager _flightTaskManager = ServiceLocator.Current.GetInstance<FlightTaskManager>();

        private void SelectTask(object sender, MouseButtonEventArgs e)
        {
            var elem = sender as FrameworkElement;
            var task = elem.DataContext as FlightTask;
            if (task.TaskType != FlightTaskType.TakeOff) // 不让选起飞任务。
            {
                _flightTaskManager.Select(task);
            }
        }
		
        private void HideTask(object sender, MouseButtonEventArgs e)
        {
            var elem = sender as FrameworkElement;
            var task = elem.DataContext as FlightTask;
            // int a = _flightTaskManager.RightSelectedTaskIndex;
            if (task.TaskType != FlightTaskType.TakeOff) // 不让选起飞任务。
            {
                var borderBrush = new SolidColorBrush(task.IsRightSelected ? Colors.Gray : Colors.OrangeRed);
                if (elem is Rectangle)
                {
                    (elem as Rectangle).Stroke = borderBrush;
                }
                else if (elem is Border)
                {
                    (elem as Border).BorderBrush = borderBrush;
                }

                _flightTaskManager.RightSelect(task);
            }
            
        }
    }
}
